v4.0

post

/ec-ors-svc/rest/v4.0/studies/{studyId}/{mode}/subjects/{srcSubjectId}/replacekits

Replaces a subject's kits in the system, accepts Strings and Numbers. Allows non-serialized kits to be replaced. Rights: OrsVisitManagementPost.

Request

Path Parameters
  • Indicates the operational mode of the study. Accepted values: active, test, or training.
    Example:
    test
  • Unique identifier of the subject. Used to represent a participant enrolled in a study. Uses UUID in a 32-character uppercase hexadecimal string format.
    Example:
    C36A3197FDEE433FB5547EE83DE99E4B
  • Unique identifier of the study. Uses UUID in a 32-character uppercase hexadecimal string format.
    Example:
    1BC29B36F5D64B1B95F4BDBBCEA481BE
Supported Media Types
Request Body - application/json ()
Root Schema : schema
Type: object
Show Source
Nested Schema : kits
Type: array
Contains kits.
Show Source
Example:
[
    "5a"
]
Nested Schema : visits
Type: array
Show Source
Example:
[
    {
        "subjectVisitNsinventoryId":"41200000000000000000000000000252",
        "quantity":10
    }
]
Nested Schema : NsReplaceKitRequest
Type: object
Request object containing non-serialized kit replacement details.
Show Source
Example:
{
    "subjectVisitNsinventoryId":"41200000000000000000000000000252",
    "quantity":10
}
Examples

Back to Top

Response

Supported Media Types

200 Response

Successful operation
Body ()
Root Schema : SubjectReplaceKitsResponse
Type: object
Title: SubjectReplaceKitsResponse
Response containing kit replacement for subject.
Show Source
Nested Schema : replacedKits
Type: array
List of replaced kits.
Show Source
Example:
[
    {
        "inventoryId":"D313327EF13845169A8ADADDA435431E",
        "kitNumber":1001,
        "kitTypeName":"Kit A"
    }
]
Nested Schema : DispensationKit v13.0
Type: object
Title: DispensationKit v13.0
Contains information for the kit dispensation.
Show Source
Examples

400 Response

For invalid subject or this operation is not allowed during the current subject statusOr invalid kit
Body ()
Root Schema : ORSResponse
Type: object
Common response object.
Show Source
Nested Schema : ErrorResponseData
Type: object
Title: ErrorResponseData
Error Response Details Information
Show Source
  • Object
    Title: Object
    Object with error details information.
  • Error code which is stored in ErrorCode enum. Example : C1-003
    Example: C1-003
  • Error message which is stored in service property file. Example : Cannot modify object after a study version has been approved
    Example: Cannot modify object after a study version has been approved
Nested Schema : result
Type: object
Result Object
Nested Schema : Object
Type: object
Title: Object
Object with error details information.
Examples

404 Response

For invalid study ID or version. Or subject not found. Or site ID not found in site service
Body ()
Root Schema : ORSResponse
Type: object
Common response object.
Show Source
Nested Schema : ErrorResponseData
Type: object
Title: ErrorResponseData
Error Response Details Information
Show Source
  • Object
    Title: Object
    Object with error details information.
  • Error code which is stored in ErrorCode enum. Example : C1-003
    Example: C1-003
  • Error message which is stored in service property file. Example : Cannot modify object after a study version has been approved
    Example: Cannot modify object after a study version has been approved
Nested Schema : result
Type: object
Result Object
Nested Schema : Object
Type: object
Title: Object
Object with error details information.
Examples

500 Response

Subject is randomized in error. Or not enough inventory
Body ()
Root Schema : ORSResponse
Type: object
Common response object.
Show Source
Nested Schema : ErrorResponseData
Type: object
Title: ErrorResponseData
Error Response Details Information
Show Source
  • Object
    Title: Object
    Object with error details information.
  • Error code which is stored in ErrorCode enum. Example : C1-003
    Example: C1-003
  • Error message which is stored in service property file. Example : Cannot modify object after a study version has been approved
    Example: Cannot modify object after a study version has been approved
Nested Schema : result
Type: object
Result Object
Nested Schema : Object
Type: object
Title: Object
Object with error details information.
Examples

Back to Top